@echo off
REM IBM Materials. Copyright
REM start_tmtpd.bat
REM Startup script for the TMTP Management Agent process
REM 
REM This is a utility that can be used for MAs that require to be executed in the 
REM foreground.
REM  
REM 1. Disable TMTP automatic startup of "IBM Tivoli Monitoring for Transaction Performance" service.
REM 2. Copy this script to the following directory:
REM         C:\Documents and Settings\TMTPAgent\Start Menu\Programs\Startup
REM 3. Restart machine.
REM It will create a window dialog and launch the jmxservice and tapmagent processes.
REM

SET PARAM=%~1

@CALL tmtpEnv.bat
IF ERRORLEVEL 1 GOTO ERROR

echo .................. >> %START_LOGFILE%
date /T >> %START_LOGFILE%
time /T >> %START_LOGFILE%

IF "%PARAM%"=="/P" GOTO PRESERVE_RUN
IF "%PARAM%"=="/S" GOTO RUN_AS_SERVICE
IF "%PARAM%" NEQ "" GOTO USAGE

:RUN_AS_CONSOLE
del "%RUNNING_AS_SERVICE%" > nul 2>&1
echo Starting TMTP Agent in foreground >> %START_LOGFILE%

start "TMTP Management Agent. Execute stop_tmtpd.bat to stop." /D"%BASEDIR%" "%BASEDIR%\bin\w32-ix86\jmxservice" -R >> %START_LOGFILE% 2>&1 

GOTO END

:RUN_AS_SERVICE
echo Starting Service
net start %SERVICE_NAME% >> %START_LOGFILE%
GOTO END

:PRESERVE_RUN
IF EXIST "%RUNNING_AS_SERVICE%" GOTO RUN_AS_SERVICE
GOTO RUN_AS_CONSOLE

:ERROR
EXIT /B 1

:USAGE
echo Usage: start_tmtpd [/P^|/S]
echo Start the MA Service as a console process
echo Option /P will preserve the last way the MA was executed (service or console mode).
echo Option /S will start the MA as a Windows service.
EXIT /B 2

:END

